import dynamix_sdk.base as _base


class CloudapiBserviceSnapshotRollbackResultBool(_base.BaseAPIResultBool):
    pass


class CloudapiBserviceSnapshotRollbackProtocol(
    _base.BasePostAPIFunctionProtocol,
):
    def snapshot_rollback(
        self,
        *,
        bservice_id: int,
        label: str,
    ) -> CloudapiBserviceSnapshotRollbackResultBool:
        ...
